package top.tqx.demo_1.service;

import top.tqx.demo_1.entity.CollectionFile;

import java.util.List;

public interface CollectionFileService {

    CollectionFile saveOrUpdate(String collectionName, String docName, Long fileId, String filePath, String docType);

    List<CollectionFile> findByDocName(String docName);

    List<CollectionFile> findByCollectionName(String collectionName);

    CollectionFile findByCollectionAndDocName(String collectionName, String docName);

    CollectionFile findByFileId(Long fileId);

    void delete(Long id);
}
